import * as ts from 'typescript';
export function isImportExport(node) {
    if (!ts.isImportDeclaration(node) && !ts.isExportDeclaration(node))
        return false;
    if (node.moduleSpecifier === undefined)
        return false;
    // only when module specifier is valid
    if (!ts.isStringLiteral(node.moduleSpecifier))
        return false;
    return true;
}
export function isImport(node) {
    if (!ts.isImportDeclaration(node))
        return false;
    if (node.moduleSpecifier === undefined)
        return false;
    // only when module specifier is valid
    if (!ts.isStringLiteral(node.moduleSpecifier))
        return false;
    return true;
}
export function isExport(node) {
    if (!ts.isExportDeclaration(node))
        return false;
    if (node.moduleSpecifier === undefined)
        return false;
    // only when module specifier is valid
    if (!ts.isStringLiteral(node.moduleSpecifier))
        return false;
    return true;
}
export function getAllImports(sourceFile) {
    return sourceFile.forEachChild(() => {
        return undefined;
    }, (nodes) => {
        return nodes.filter((node) => {
            return isImport(node);
        });
    });
}
//# sourceMappingURL=importExport.js.map