"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDependencies = void 0;
const fs_extra_1 = require("fs-extra");
/**
 * convert dependencies to { name: true }
 * @param path to a package.json
 */
function createDependencies(path) {
    const text = (0, fs_extra_1.readFileSync)(path, 'utf-8');
    const pkg = JSON.parse(text);
    const deps = {};
    if (pkg.dependencies) {
        for (const i of Object.keys(pkg.dependencies)) {
            deps[i] = true;
        }
    }
    if (pkg.peerDependencies) {
        for (const i of Object.keys(pkg.peerDependencies)) {
            deps[i] = true;
        }
    }
    return deps;
}
exports.createDependencies = createDependencies;
//# sourceMappingURL=package.js.map