import { factory } from 'typescript';
/**
 * Replace specifier part of a import/export statement
 *
 * import x from "--> SPECIFIER <--"
 */
export function replaceImportExportSpecifier(node, newSpecifier) {
    const modified = Object.create(node);
    Object.assign(modified, {
        moduleSpecifier: factory.createStringLiteral(newSpecifier),
    });
    Object.assign(modified.moduleSpecifier, {
        parent: node,
    });
    return modified;
}
//# sourceMappingURL=replace.js.map